/*
 * Copyright 2004 Perforce Software.  All rights reserved.
 *
 * Developed by Data Shades Ltd.
 */

#ifndef INC_STRBUF_ARRAY
#define INC_STRBUF_ARRAY

#include "PerforceAPI.h"

/*
 * Array of StrBuf's
 */
class StrBufArray : public VarArray {

public:

	/* 
	 * Destructor.
	 */
						~StrBufArray();

	/* 
	 * Add string to array.
	 */
	void				Put( void *v );

	/*
	 * Get string from array
	 *
	 * i - The element to get
	 */
	void				*Get( int i ); 

	/*
	 * Clear the array
	 */
	//Added by Jeremy Walker to fix memory leak.  May, 2011
	void				Clear();
};

#endif